com.io7m.jcanephora.cursors

## Class JCGLR8UByteBuffered

- java.lang.Object
- - com.io7m.jcanephora.cursors.JCGLR8UByteBuffered

- All Implemented Interfaces:
    JCGLR8UReadableType, JCGLR8UType, JCGLR8UWritableType, com.io7m.jpra.runtime.java.JPRAValueType

      public final class JCGLR8UByteBuffered
      extends Object
      implements JCGLR8UType

  A `ByteBuffer` based implementation of the `JCGLR8U` packed type.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getR()`
    `static JCGLR8UType` | `newValue(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)` Construct a view of a type.
    `static JCGLR8UType` | `newValueWithOffset(ByteBuffer in_buffer, com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer, int in_base_offset)` Construct a view of a type.
    `void` | `set(int r)` Set the value of all fields.
    `void` | `setR(int x)` Set the value of the `r` field.
    `int` | `sizeOctets()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### newValueWithOffset

          public static JCGLR8UType newValueWithOffset(ByteBuffer in_buffer,
                                                       com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer,
                                                       int in_base_offset)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
        `in_base_offset` - The base offset from the cursor
      Returns:
        A view of a type

    - #### newValue

          public static JCGLR8UType newValue(ByteBuffer in_buffer,
                                             com.io7m.jpra.runtime.java.JPRACursorByteReadableType in_pointer)

      Construct a view of a type.
      Parameters:
        `in_buffer` - A byte buffer
        `in_pointer` - A cursor
      Returns:
        A view of a type

    - #### sizeOctets

          public int sizeOctets()

      Specified by:
        `sizeOctets` in interface `com.io7m.jpra.runtime.java.JPRAValueType`

    - #### getR

          public int getR()

      Specified by:
        `getR` in interface `JCGLR8UReadableType`
      Returns:
        The value of the `r` field

    - #### setR

          public void setR(int x)

      Description copied from interface: `JCGLR8UWritableType`
      Set the value of the `r` field. The 8 least significant bits of `x` will be used.
      Specified by:
        `setR` in interface `JCGLR8UWritableType`
      Parameters:
        `x` - The new value

    - #### set

          public void set(int r)

      Description copied from interface: `JCGLR8UWritableType`
      Set the value of all fields.
      Specified by:
        `set` in interface `JCGLR8UWritableType`
      Parameters:
        `r` - The value for field `r`

Copyright © 2016 <code@io7m.com> http://io7m.com